org.apache.maven.plugin.descriptor

## Class InvalidParameterException

- java.lang.Object
- - PlexusConfigurationException
  - - org.apache.maven.plugin.descriptor.InvalidPluginDescriptorException
    - - org.apache.maven.plugin.descriptor.InvalidParameterException

    public class InvalidParameterException
    extends InvalidPluginDescriptorException

Version:
  $Id: InvalidParameterException.java,v 1.1 2005/02/20 16:25:21 jdcasey Exp $
Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`InvalidParameterException(java.lang.String element, int i)`
`InvalidParameterException(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvalidParameterException

    public InvalidParameterException(java.lang.String element,
                             int i)

#### InvalidParameterException

    public InvalidParameterException(java.lang.String message,
                             java.lang.Throwable cause)